
if minetest.get_modpath("stairs") then

	stairs.register_stair_and_slab("slate_cobble",
		"darkage:slate_cobble",
		true,
		{"darkage_slate_cobble.png"},
		"Slate Cobble Stair",
		"Slate Cobble Slab",
		default.node_sound_stone_defaults()
	)
	stairs.register_stair_and_slab("ors_cobble", "darkage:ors_cobble",
		true,
		{"default_cobble.png^[brighten^[multiply:#E2725B^[transform1"},
		"Terracotta Cobble Stair",
		"Terracotta Cobble Slab",
		default.node_sound_stone_defaults()
	)
	--[[
	stairs.register_stair_and_slab("gneiss_cobble", "default:gneiss_cobble",
		true,
		{"default_cobble.png^[brighten^[transformFXR90"},
		"Gneiss Cobble Stair",
		"Gneiss Cobble Slab",
		default.node_sound_stone_defaults()
	)
	--]]
	
	stairs.register_stair_and_slab("basalt_cobble", "default:basalt_cobble",
		true,
		{"darkage_basalt_cobble.png"},
		"Basalt Cobble Stair",
		"Basalt Cobble Slab",
		default.node_sound_stone_defaults()
	)
	stairs.register_stair_and_slab("stone_brick", "darkage:stone_brick",
		true,
		{"darkage_stone_brick.png"},
		"Stone Brick Stair",
		"Stone Brick Slab",
		default.node_sound_stone_defaults()
	)
	stairs.register_stair_and_slab("adobe", "darkage:adobe",
		true,
		{"darkage_adobe.png"},
		"Adobe Stair",
		"Adobe Slab",
		default.node_sound_stone_defaults()
	)

	stairs.register_stair_and_slab("schist", "darkage:schist",
		true,
		{"darkage_schist.png"},
		"Aggregate Stair",
		"Aggregate Slab",
		default.node_sound_stone_defaults()
	)
end
